User Tools

Site Tools


gams:license_problems

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Next revision
Previous revision
gams:license_problems [2008/09/11 16:09]
support created
gams:license_problems [2017/09/02 19:10] (current)
support
Line 1: Line 1:
 ====== License Problems ====== ====== License Problems ======
  
-Errors or warnings ​ triggered by a problem with the GAMS license file (license.txt)are reported both in the log file and in the lst file. Below are some typical error and warning messages and instructions how to overcome them.+Errors or warnings ​ triggered by a problem with the GAMS license file (license.txt) are reported both in the log file and in the lst file. Below are some typical errorwarning messages and instructions how to overcome them.
  
 ===== No License File present ===== ===== No License File present =====
Line 40: Line 40:
  
   * Do not change the contents of your license file, any change will break it. If the original license file is no longer available, please contact support@gams.com and ask for a copy of your license file. Please attach the license file you are currently using.   * Do not change the contents of your license file, any change will break it. If the original license file is no longer available, please contact support@gams.com and ask for a copy of your license file. Please attach the license file you are currently using.
-  * This error also pops up, if you are using a license file, which was issued for a different [[http://​www.gams.com/​solvers/index.htm#platforms|platform]]. Your license file supports one platform (e.g. Windows, Linux or Macintosh) and will not work on any platform. ​+  * This error also pops up, if you are using a license file, which was issued for a different [[https://​www.gams.com/​latest/docs/S_MAIN.html#SOLVERS_SUPPORTED_PLATFORMS|platform]]. Your license file supports one platform (e.g. Windows, Linux or Macintosh) and will not work on any platform. ​
    
 +
  
  
Line 53: Line 54:
 </​code>​ </​code>​
  
-A GAMS license is perpetual, but can only be used in connection with a GAMS system issued within the free maintenance period. By default this is one year after the purchase of the system. If you run an old license file with a GAMS system, ​which has been issued after that period, you will get the error message above and the system will downgrade to the demonstration mode. You can now either+A GAMS license is perpetual, but can only be used in connection with a GAMS system issued within the free maintenance period. By default this is one year after the purchase of the system. If you run an old license file with a GAMS system, ​that has been issued after that period, you will get the error message above and the system will downgrade to the demonstration mode. You can now either
   * Replace that GAMS system with the one you got together with your license file (Old system are available at the [[http://​www.gams.com/​download/​download_old.htm|GAMS web site]]) or   * Replace that GAMS system with the one you got together with your license file (Old system are available at the [[http://​www.gams.com/​download/​download_old.htm|GAMS web site]]) or
   * Update your license to a current version.   * Update your license to a current version.
Line 64: Line 65:
 *** Too many equations for demo mode *** Too many equations for demo mode
 </​code>​ </​code>​
-You are using a valid license file for GAMS/BASE, but one of the solvers you are using for the optimization are not included in the license and the size of the model exceed the limits of the demo license. Check whether the default ​solver ​for a particular problem class are included in the license. Please note that some of the solvers call other solvers as a sub-solver, e.g.: +You are using a valid license file for GAMS/BASE, but one of the solvers you are using for the optimization are not included in the license and the size of the model exceed the limits of the demo license. Check whether the default ​solvers ​for a particular problem class are included in the license. Please note that some of the solvers call other solvers as a sub-solver, e.g.: 
   * GAMS/DICOPT requires an NLP and a MIP solver   * GAMS/DICOPT requires an NLP and a MIP solver
   * GAMS/SBB requires an NLP solver   * GAMS/SBB requires an NLP solver
 +  * MPSGE: If PATH is not included in your license, please select MILES, which is included in the base system as the default solver for MCP problems.
  
  
Line 79: Line 81:
 *** Run an older GAMS system or renew the license *** Run an older GAMS system or renew the license
 </​code>​ </​code>​
-The error message is self-explaining. The license file (''​gamslice.txt''​) you are currently using is too old for this version of GAMS. Please make sure that you are always using the latest version of license file, which has been e-mailed to you. If there is ambiguity, please contact [[support@gams.com|support@gams.com]] and attach your current license file.+The error message is self-explaining. The license file (''​gamslice.txt''​) you are currently using is too old for this version of GAMS. Please make sure that you are always using the latest version of license file, that has been e-mailed to you or use an older distribution.
  
 ===== Warnings ===== ===== Warnings =====
 ==== License File has expired xx days ago ==== ==== License File has expired xx days ago ====
 This warning (without further error messages) indicates that the evaluation license file you are using is still valid, but will downgrade to the limits of the free demonstration version very soon. This warning (without further error messages) indicates that the evaluation license file you are using is still valid, but will downgrade to the limits of the free demonstration version very soon.
 +
  
 ==== License file too old for this version of GAMS. ==== ==== License file too old for this version of GAMS. ====
Line 92: Line 95:
 .. ..
 </​code>​ </​code>​
-but the GAMS runs continues. ​ In general you can ignore this warning and continue using that distribution with your current license file. However any forthcoming GAMS distribution will most likely not work, but downgrade to the limits of the demonstration mode.+but the GAMS runs continues. ​ In generalyou can ignore this warning and continue using that distribution with your current license file. Howeverany forthcoming GAMS distribution will most likely not work, but downgrade to the limits of the demonstration mode.
IMPRESSUM / LEGAL NOTICEPRIVACY POLICY gams/license_problems.1221142189.txt.gz ยท Last modified: 2008/09/11 16:09 by support